Summary:        PerlIO layer for quoted-printable strings
Name:           perl-PerlIO-via-QuotedPrint
Version:        0.10
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/PerlIO-via-QuotedPrint
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/PerlIO-via-QuotedPrint-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(MIME::QuotedPrint)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

BuildArch:      noarch

%description
This module implements a PerlIO layer that works on files encoded in 
the quoted-printable format. It will decode from quoted-printable while 
reading from a handle, and it will encode as quoted-printable while 
writing to a handle.


%prep
%autosetup -n PerlIO-via-QuotedPrint-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license Artistic Copying LICENCE
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 0.10-1
- initial build, Version 0.10, Release 1
